This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1032862 - virtio-rng-egd: repeatedly read same random data-block w/o considering the buffer offset
virtio-rng-egd: repeatedly read same random data-block w/o considering the bu...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
x86_64 Linux
medium Severity high
: rc
: ---
Assigned To: Amos Kong
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 22:52 EST by Amos Kong
Modified: 2015-05-24 20:07 EDT (History)
10 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-20.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:59:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Amos Kong 2013-11-21 04:53:51 EST
Posted a patch to upstream:

http://lists.nongnu.org/archive/html/qemu-stable/2013-11/msg00045.html
Comment 3 Amos Kong 2013-11-25 02:01:52 EST
Hi Junyi,

  We need a test to verify the data is really random, it might catch this bug.
  eg: generate a lot of numbers from 1 ~ 100,  then check the distribution
  Or using some software to verify it.

Amos
Comment 4 Miroslav Rezanina 2013-11-28 02:37:07 EST
Fix included in qemu-kvm-1.5.3-20.el7
Comment 6 Shaolong Hu 2014-01-17 03:49:46 EST
Verified on qemu-kvm-rhev-1.5.3-31.el7.x86_64:

read 100 characters, it's random.

'\x07\xdf\xf8W\x16\xb4)\xb2tndm}\xcb\xb1\xdd\'\xf2\xf3\x1c*\xbb\xe1\xad\xb3"=\xd0G\x83\xe7\x01K|\xacAP\xdc\xcf\xb9\x97\xb4\x85G\x8f!\xd8\xf9\xb9\xcf}\x98&N\x8eg\x10\x98\\\xd6u\xe6H~\xc5\xf9\xc6\x02\xa3t\x17\xbc6\xa0,\xfd\xb3\x87W\xc6\x047\xae\xa3\xbe\x88\xa2M\xd0\x92Q@r\xcc\xfai\x1b\x08^\xb6'
Comment 7 Ludek Smid 2014-06-13 05:59:03 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.